EarPluginConvention (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.ear

## Class EarPluginConvention

- java.lang.Object
- - org.gradle.plugins.ear.EarPluginConvention

-     public abstract class EarPluginConvention
      extends java.lang.Object

  Ear Plugin Convention.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EarPluginConvention​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `appDirName​(java.lang.String appDirName)` | Allows changing the application directory.
    `abstract EarPluginConvention` | `deploymentDescriptor​(groovy.lang.Closure configureClosure)` | Configures the deployment descriptor for this EAR archive.
    `abstract EarPluginConvention` | `deploymentDescriptor​(Action<? super DeploymentDescriptor> configureAction)` | Configures the deployment descriptor for this EAR archive.
    `abstract java.lang.String` | `getAppDirName​()` | The name of the application directory, relative to the project directory.
    `abstract DeploymentDescriptor` | `getDeploymentDescriptor​()` | A custom deployment descriptor configuration.
    `abstract java.lang.String` | `getLibDirName​()` | The name of the library directory in the EAR file.
    `abstract void` | `libDirName​(java.lang.String libDirName)` | Allows changing the library directory in the EAR file.
    `abstract void` | `setAppDirName​(java.lang.String appDirName)` |
    `abstract void` | `setDeploymentDescriptor​(DeploymentDescriptor deploymentDescriptor)` |
    `abstract void` | `setLibDirName​(java.lang.String libDirName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EarPluginConvention

          public EarPluginConvention​()

  - ### Method Detail

    - #### getAppDirName

          public abstract java.lang.String getAppDirName​()

      The name of the application directory, relative to the project directory. Default is "src/main/application".

    - #### setAppDirName

          public abstract void setAppDirName​(java.lang.String appDirName)

    - #### appDirName

          public abstract void appDirName​(java.lang.String appDirName)

      Allows changing the application directory. Default is "src/main/application".

    - #### getLibDirName

          public abstract java.lang.String getLibDirName​()

      The name of the library directory in the EAR file. Default is "lib".

    - #### setLibDirName

          public abstract void setLibDirName​(java.lang.String libDirName)

    - #### libDirName

          public abstract void libDirName​(java.lang.String libDirName)

      Allows changing the library directory in the EAR file. Default is "lib".

    - #### getDeploymentDescriptor

          public abstract DeploymentDescriptor getDeploymentDescriptor​()

      A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

    - #### setDeploymentDescriptor

          public abstract void setDeploymentDescriptor​(DeploymentDescriptor deploymentDescriptor)

    - #### deploymentDescriptor

          public abstract EarPluginConvention deploymentDescriptor​(groovy.lang.Closure configureClosure)

      Configures the deployment descriptor for this EAR archive.

      The given closure is executed to configure the deployment descriptor. The `DeploymentDescriptor` is passed to the closure as its delegate.

      Parameters:
        `configureClosure` - The closure.
      Returns:
        This.

    - #### deploymentDescriptor

          public abstract EarPluginConvention deploymentDescriptor​(Action<? super DeploymentDescriptor> configureAction)

      Configures the deployment descriptor for this EAR archive.

      The given action is executed to configure the deployment descriptor.

      Parameters:
        `configureAction` - The action.
      Returns:
        This.
      Since:
        3.5